Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571611 - CVE-2017-12086 blender: Integer overflow in BKE_mesh_calc_normals_tessface potentially leading to code execution [fedora-all]
Summary: CVE-2017-12086 blender: Integer overflow in BKE_mesh_calc_normals_tessface po...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 27
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-12086
TreeView+ depends on / blocked
 
Reported: 2018-04-25 08:25 UTC by Adam Mariš
Modified: 2018-06-28 04:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-28 04:15:28 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Mariš 2018-04-25 08:25:35 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2018-04-25 08:25:42 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1571609,1571611

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Jason Tibbitts 2018-06-27 18:56:07 UTC
Upstream commit for this and several other related CVEs: https://developer.blender.org/rB9287434fa1cecaf587ad8c01a32f86da0092d0f8

I believe that this commit is present in 2.79b and thus the security issues are not present in any Fedora release.  I did check manually by unpacking the F27 branch from dist git and manually inspecting a few hunks.

@Luya, I will leave it to you to close this notabug if you wish.  The EPEL report is still valid, though.

Comment 3 Luya Tshimbalanga 2018-06-28 04:15:28 UTC
Thank you Jason for verifying the case of Fedora. Closing this report by comment #2.


Note You need to log in before you can comment on or make changes to this bug.